-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local skynet = {}

function skynet.sleep(timeout)
end

function skynet.fork(cb, ...)
    return true
end

function skynet.fork_once(cb, ...)
    cb()
    return true
end

function skynet.killthread()
end

function skynet.getenv()
end

local cb_map = {
    new = function(timeout_ms, cb)
        cb()
    end,
    stop = function()
    end
}

skynet.timer = cb_map

skynet.register_protocol = function (cb)
end

skynet.dispatch = function (cb)
end

skynet.time = function ()
    return 0
end

return skynet
